function [odpoved, cf] = fft2greenmx_GFCC(nfft, vzorkovacia, pocet_filtrov, width, min_frek)

if nargin < 2;     vzorkovacia = 8000;      end
if nargin < 3;     pocet_filtrov = 26;     end
if nargin < 4;     width = 1.0;    end
if nargin < 5;     min_frek = 400; end

odpoved = zeros(pocet_filtrov, nfft);

fft_frek = [0:(nfft/2)]/nfft*vzorkovacia;

EarQ = 7.23824;
minBW = 22.8509;
order = 1;
pocet_frek = pocet_filtrov+2;
cf = -(EarQ*minBW) + exp((1:pocet_frek)'*(-log(vzorkovacia/2 + EarQ*minBW) + ...
                            log(min_frek + EarQ*minBW))/pocet_frek) ...      
                          *(vzorkovacia/2 + EarQ*minBW);
cf = cf';
cf = fliplr(cf);  %stredne frekvencie pre banku filtrov

for i = 1:pocet_filtrov
  frek_filt = cf(i+[0 1 2]);
  frek_filt = frek_filt(:,2)+width*(frek_filt - frek_filt(:,2));
  prva_cast = (fft_frek - frek_filt(:,1))/(frek_filt(:,2) - frek_filt(:,1));
  druha_cast = (frek_filt(:,3) - fft_frek)/(frek_filt(:,3) - frek_filt(:,2));
  odpoved(i,1+[0:(nfft/2)]) = max(0,min(prva_cast, druha_cast));
end
end